Summary:	Helper library for the use with smart cards and the PKCS#11 API
Summary(pl.UTF-8):	Biblioteka pomocnicza do używania z kartami procesorowymi i API PKCS#11
Name:		pkcs11-helper
Version:	1.23
Release:	2
License:	GPL v2 or BSD
Group:		Libraries
#Source0Download: https://github.com/OpenSC/pkcs11-helper/releases
Source0:	https://github.com/OpenSC/pkcs11-helper/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		no-libs.patch
# Source0-md5:	1670f2607b746424dadb3b833861d0b0
URL:		https://github.com/OpenSC/OpenSC/wiki/pkcs11-helper
# for macros
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gnutls-devel >= 1.4
BuildRequires:	mbedtls-devel
BuildRequires:	nss-devel >= 3.11
BuildRequires:	openssl-devel >= 0.9.7a
BuildRequires:	pkgconfig
Requires:	gnutls-libs >= 1.4
Requires:	nss >= 3.11
Requires:	openssl >= 0.9.7a
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
pkcs11-helper provides a simple API to access PKCS#11 tokens.

%description -l pl.UTF-8
pkcs11-helper udostępnia proste API do dostępu do tokenów PKCS#11.

%package devel
Summary:	Header files for pkcs11-helper library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pkcs11-helper
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for pkcs11-helper library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki pkcs11-helper.

%package static
Summary:	Static pkcs11-helper library
Summary(pl.UTF-8):	Statyczna biblioteka pkcs11-helper
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pkcs11-helper library.

%description static -l pl.UTF-8
Statyczna biblioteka pkcs11-helper.

%package apidocs
Summary:	API documentation for pkcs11-helper library
Summary(pl.UTF-8):	Dokumentacja API biblioteki pkcs11-helper
Group:		Documentation

%description apidocs
API documentation for pkcs11-helper library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki pkcs11-helper.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-doc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libpkcs11-helper.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING.BSD ChangeLog README THANKS
%attr(755,root,root) %{_libdir}/libpkcs11-helper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpkcs11-helper.so.1
%{_mandir}/man8/pkcs11-helper-1.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpkcs11-helper.so
%{_includedir}/pkcs11-helper-1.0
%{_pkgconfigdir}/libpkcs11-helper-1.pc
%{_aclocaldir}/pkcs11-helper-1.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libpkcs11-helper.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/api/api.out/html/*
%changelog
* Sat Sep 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pkcs11-helper.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d11cded
- release 2 (by relup.sh)

* Thu Jun 07 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b6eec26
- up to 1.23; don't drag unnecessary libs via pc file

* Sat Nov 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 874b674
- updated to 1.22, separated -apidocs

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 356e8ff
- rebuild with gnutls 3.5
- release 6 (by relup.sh)

* Thu Mar 17 2016 Jan Rękorajski <baggins@pld-linux.org> 0bc3434
- release 5 (by relup.sh)

* Thu Mar 17 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3be3103
- release 4 (by relup.sh)

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> 8ed5cb7
- release 3 (by relup.sh)

* Thu May 07 2015 Jan Rękorajski <baggins@pld-linux.org> aa10c3e
- x32 rebuild
- release 2 (by relup.sh)

* Fri Aug 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 61435b3
- new URLs, updated to 1.11

* Wed Nov 21 2012 Jan Rękorajski <baggins@pld-linux.org> 5eb8338
- release 3 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b30cb26
- release 2

* Sat Aug 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 3333f49
- updated to 1.09

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 6ebca3b
- updated to 1.08

* Sat May 22 2010 sparky <sparky@pld-linux.org> 2d798c2
- BR: automake (for _aclocaldir)
- don't require c++ compiler

* Sat May 08 2010 Elan Ruusamäe <glen@pld-linux.org> 633419e
- release 3

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 00cca75
- release 2

* Wed Mar 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> df9e1f4
- up to 1.07

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 46b208e
- updated to 1.06 (gnutls and nss crypto engines included now)

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 94a5623
- updated to 1.05

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 7da2626
- updated to 1.03

